package com.icomsys.main_vm.db.mybatis.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface IntentManageMapper {

    List<HashMap> selectIntentList(HashMap eMap);

    List<HashMap> selectIntentExampleList(HashMap eMap);

    int selectIntentCnt(HashMap eMap);

    int selectIntentExampleCnt(HashMap eMap);

    List<HashMap> selectIntentCategoryList(HashMap eMap);

    HashMap selectIntentCategoryCode(HashMap eMap);

    void insertIntentMaster(HashMap eMap);

    int insertIntentExample(HashMap eMap);

    void updateIntentMaster(HashMap eMap);

    void updateDeleteIntentExample(HashMap eMap);

    void deleteIntentMaster(HashMap eMap);

    void deleteIntentExample(HashMap eMap);

    void deleteIntentExample_one(HashMap eMap);

    long selectIntentMappingId(HashMap eMap);

    int selectIntentSeq(HashMap eMap);

}

